<script setup lang="ts">
import { usePassportStore } from "../../../stores/passport";
import { VaInput, VaDateInput, VaCollapse } from "vuestic-ui";
const passportStore = usePassportStore();
const passportState = passportStore.$state.passport;
</script>

<template>
  <div class="FormDocument">
    <div class="documentData">
      <div class="image">
        <img :src="passportState?.image" />
      </div>
      <div class="form">
        <VaInput
          readonly
          label="Document Id"
          v-model="passportState.document_id"
        />
        <VaDateInput
          readonly
          label="Expire Date"
          v-model="passportState.expire_date"
        />
        <VaCollapse header="MRZ">
          <div class="mrzContent">
            <VaInput readonly label="MRZ 1" v-model="passportState.mrz.line1" />
            <VaInput readonly label="MRZ 2" v-model="passportState.mrz.line2" />
          </div>
        </VaCollapse>
      </div>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.FormDocument {
  padding: 1rem;

  .documentData {
    display: flex;
    width: 100%;
  }

  .image {
    width: 60%;
    padding: 0.5rem;
    box-sizing: border-box;
    img {
      width: 100%;
    }
  }
  .form {
    padding: 0.5rem 1rem;
    width: 40%;
    .va-input-wrapper,
    .va-date-input {
      width: 100%;
      margin-bottom: 0.5rem;
    }
  }

  .mrzContent {
    padding: 0.5rem;
  }

  @media (max-width: 768px) {
    .image {
      width: 100%;
    }
    .form {
      width: 100%;
      flex-direction: column;
      .column {
        width: 100%;
      }
    }
  }
  @media (max-width: 480px) {
    .documentData {
      display: flex;
      flex-direction: column;
    }
  }
}
</style>
